//+------------------------------------------------------------------+
//|                                          OOP_sDeleteOrders_1.mq5 |
//|                        Copyright 2011, MetaQuotes Software Corp. |
//|                                              http://www.mql5.com |
//+------------------------------------------------------------------+
#property copyright "Copyright 2011, MetaQuotes Software Corp."
#property link      "http://www.mql5.com"
#property version   "1.00"
#property script_show_inputs
/*
        .
*/
//      CTrade   
#include <Trade/Trade.mqh> 
//  
//  . true -    , 
//                false -        
input bool     AllSymbol=false;
//    
input bool     BuyStop        =  false;
input bool     SellStop       =  false;
input bool     BuyLimit       =  false;
input bool     SellLimit      =  false;
input bool     BuyStopLimit   =  false;
input bool     SellStopLimit  =  false;

CTrade Trade; //   CTrade
//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+
void OnStart()
  {
   bool Ret=true; //      
   for(int i=0;i<OrdersTotal();i++)
     { //     
      ulong Ticket=OrderGetTicket(i); //      
      if(Ticket>0)
        { //  
         long Type=OrderGetInteger(ORDER_TYPE);
         //   
         if(Type==ORDER_TYPE_BUY_STOP && !BuyStop)continue;
         if(Type==ORDER_TYPE_SELL_STOP && !SellStop)continue;
         if(Type==ORDER_TYPE_BUY_LIMIT && !BuyLimit)continue;
         if(Type==ORDER_TYPE_SELL_LIMIT && !SellLimit)continue;
         if(Type==ORDER_TYPE_BUY_STOP_LIMIT && !BuyStopLimit)continue;
         if(Type==ORDER_TYPE_SELL_STOP_LIMIT && !SellStopLimit)continue;
         if(!AllSymbol && Symbol()!=OrderGetString(ORDER_SYMBOL))continue; //  
         if(!Trade.OrderDelete(Ticket))
           { // 
            Ret=false; //  
           }
        }
      else
        {
         Ret=false; //    ,  ,     
         Print("  ");
        }
     }
   if(Ret)
     {
      Alert("   ");
     }
   else
     {
      Alert("    ,  .  ");
     }
  }
//+------------------------------------------------------------------+
