//+------------------------------------------------------------------+
//|                                                  CLibArray_2.mqh |
//|                        Copyright 2011, MetaQuotes Software Corp. |
//|                                              http://www.mql5.com |
//+------------------------------------------------------------------+
#property copyright "Copyright 2011, MetaQuotes Software Corp."
#property link      "http://www.mql5.com"
//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+
/*
         .
*/
//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+
class CLibArray
  {
private:
   int               Find(int  &aArray[],int aValue); //  int.        
   int               Find(long  &aArray[],long aValue); //  long.          
public:
   void              AddToEnd(int  &aArray[],int aValue); //  int.    
   void              AddToEnd(long  &aArray[],long aValue); //  long.    
   void              AddToEndIfNotExists(int  &aArray[],int aValue); //  int.           
   void              AddToEndIfNotExists(long  &aArray[],long aValue); //  long.           
  };
//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+
int CLibArray::Find(int  &aArray[],int aValue)
  { //  int.        
   for(int i=0;i<ArraySize(aArray);i++)
     {
      if(aArray[i]==aValue)
        {
         return(i); //  ,   
        }
     }
   return(-1); //   ,  -1
  }
//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+
int CLibArray::Find(long  &aArray[],long aValue)
  { //  long.          
   for(int i=0;i<ArraySize(aArray);i++)
     {
      if(aArray[i]==aValue)
        {
         return(i); //  ,   
        }
     }
   return(-1); //   ,  -1
  }
//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+
void CLibArray::AddToEnd(int  &aArray[],int aValue)
  { //  int.    
   int m_size=ArraySize(aArray);
   ArrayResize(aArray,m_size+1);
   aArray[m_size]=aValue;
  }
//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+
void CLibArray::AddToEnd(long  &aArray[],long aValue)
  { //  long.    
   int m_size=ArraySize(aArray);
   ArrayResize(aArray,m_size+1);
   aArray[m_size]=aValue;
  }
//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+
void CLibArray::AddToEndIfNotExists(int  &aArray[],int aValue)
  { //  int.           
   if(Find(aArray,aValue)==-1)
     {
      AddToEnd(aArray,aValue);
     }
  }
//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+
void CLibArray::AddToEndIfNotExists(long  &aArray[],long aValue)
  { //  long.           
   if(Find(aArray,aValue)==-1)
     {
      AddToEnd(aArray,aValue);
     }
  }
//+------------------------------------------------------------------+
